from your surface, you can create a TopoDS_Face and use this face to create an HalfSpace ( Solid ) with BRepBuilderAPI_MakeHalfSpace ).
And compute your boolean operation with your solid and the halfspace.
The problem is that you will need to compute 2 boolean operation to have the left part and the right part with 2 different halfspaces.
Consider sending a bug report to be able to get the both part of the boolean operation in one step. It will save you a lot of time ( in runtime ) because of the low speed of the boolean operations with complex objects.
Thu, 09/05/2002 - 10:41
in the above statement, the solid-surface intersection means cutting or spliting a solid by a surface.
Thu, 09/05/2002 - 19:16
Hi,
from your surface, you can create a TopoDS_Face and use this face to create an HalfSpace ( Solid ) with BRepBuilderAPI_MakeHalfSpace ).
And compute your boolean operation with your solid and the halfspace.
The problem is that you will need to compute 2 boolean operation to have the left part and the right part with 2 different halfspaces.
Consider sending a bug report to be able to get the both part of the boolean operation in one step. It will save you a lot of time ( in runtime ) because of the low speed of the boolean operations with complex objects.
HTH